Skip to main content
GET
/
marketing
/
emails
/
2026-03
/
statistics
/
list
Get aggregated statistics
curl --request GET \
  --url https://api.hubapi.com/marketing/emails/2026-03/statistics/list \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/marketing/emails/2026-03/statistics/list"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/marketing/emails/2026-03/statistics/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "aggregate": {
    "counters": {},
    "deviceBreakdown": {},
    "qualifierStats": {},
    "ratios": {}
  },
  "campaignAggregations": {},
  "emails": [
    123
  ]
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

emailIds
integer<int64>[]

Filter by email IDs. Only include statistics of emails with these IDs.

endTimestamp
string<date-time>

The end timestamp of the time span, in ISO8601 representation.

property
string

Specifies which email properties should be returned. All properties will be returned by default.

startTimestamp
string<date-time>

The start timestamp of the time span, in ISO8601 representation.

Response

successful operation

aggregate
object
required
campaignAggregations
object
required

The aggregated statistics per campaign.

emails
integer<int64>[]
required

List of email IDs that were sent during the time span.

Last modified on March 31, 2026